.PHONY: help frontend backend all

# 默认目标
all: help

# 前端开发服务器
frontend:
	@echo "启动前端开发服务器..."
	cd frontend && pnpm dev

# 后端开发服务器
backend:
	@echo "启动后端开发服务器..."
	cd backend/yudao-server && mvn clean compile  -DskipTests && mvn spring-boot:run

#  停止后端 n


# 同时启动前后端
run: frontend backend
	@echo "前后端服务已全部启动"

prison:
	@echo "编译监狱模块..."
	 cd backend/yudao-server && mvn compile -pl :yudao-module-prison -am

# 查看帮助
help:
	@echo "可用的 Make 命令:"
	@echo ""
	@echo "  make frontend    - 启动前端开发服务器"
	@echo "  make backend     - 启动后端开发服务器"
	@echo "  make run         - 同时启动前后端"
	@echo "  make help        - 显示此帮助信息"
